Bug 862558 - [abrt] youtube-dl-2012.09.27-3.fc17: InfoExtractors.py:405:<genexpr>:KeyError: 'sig'
[abrt] youtube-dl-2012.09.27-3.fc17: InfoExtractors.py:405:<genexpr>:KeyError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:f7884b7e1845e22e2626016622d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 04:44 EDT by Štefan Gurský
Modified: 2013-07-21 20:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:47:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (567 bytes, text/plain)
2012-10-03 04:44 EDT, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2012-10-03 04:44:27 EDT
Description of problem:
I tried using it in regular manner.

Version-Release number of selected component:
youtube-dl-2012.09.27-3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python /usr/bin/youtube-dl -f 22 http://www.youtube.com/watch?v=5VrsFEiTpsQ
kernel:         3.5.4-2.fc17.x86_64

backtrace:
:InfoExtractors.py:405:<genexpr>:KeyError: 'sig'
:
:Traceback (most recent call last):
:  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
:    "__main__", fname, loader, pkg_name)
:  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
:    exec code in run_globals
:  File "/usr/bin/youtube-dl/__main__.py", line 7, in <module>
:    __init__.main()
:  File "/usr/bin/youtube-dl/__init__.py", line 536, in main
:    _real_main()
:  File "/usr/bin/youtube-dl/__init__.py", line 520, in _real_main
:    retcode = fd.download(all_urls)
:  File "/usr/bin/youtube-dl/FileDownloader.py", line 475, in download
:    videos = ie.extract(url)
:  File "/usr/bin/youtube-dl/InfoExtractors.py", line 80, in extract
:    return self._real_extract(url)
:  File "/usr/bin/youtube-dl/InfoExtractors.py", line 405, in _real_extract
:    url_map = dict((ud['itag'][0], ud['url'][0] + '&signature=' + ud['sig'][0]) for ud in url_data)
:  File "/usr/bin/youtube-dl/InfoExtractors.py", line 405, in <genexpr>
:    url_map = dict((ud['itag'][0], ud['url'][0] + '&signature=' + ud['sig'][0]) for ud in url_data)
:KeyError: 'sig'
:
:Local variables in innermost frame:
:.0: <listiterator object at 0x22e65d0>
:ud: {'url': ['http://o-o---preferred---sn-2gb7en76---v2---lscache8.c.youtube.com/videoplayback?upn=-x3ud_IyS2Y&sparams=cp%2Cgcr%2Cid%2Cip%2Cipbits%2Citag%2Cratebypass%2Csource%2Cupn%2Cexpire&fexp=905707%2C913548%2C914070%2C922401%2C920704%2C912806%2C927201%2C913419%2C913556%2C919349%2C919351%2C925109%2C919003%2C912706&key=yt1&itag=45&ipbits=8&signature=BC3008B97253B9E9028B4A022F3A73377778544B.067A6EB652AFF1F4A22A0E557D7C97FEC6DB475B&mv=m&sver=3&mt=1349253796&ratebypass=yes&source=youtube&ms=au&gcr=cz&expire=1349275647&ip=195.113.21.99&cp=U0hTTlJSU19JUUNOM19KTFdHOkhnemllT3hyWEtQ&id=e55aec144893a6c4&newshard=yes'], 'type': ['video/webm; codecs="vp8.0, vorbis"'], 'fallback_host': ['tc.v19.cache3.c.youtube.com'], 'quality': ['hd720'], 'itag': ['45']}
Comment 1 Štefan Gurský 2012-10-03 04:44:30 EDT
Created attachment 620691 [details]
File: core_backtrace
Comment 2 Christopher Meng 2013-05-13 05:45:54 EDT
Are you still suffering this problem? If not I'll close, you can reopen this later.
Comment 3 Fedora Admin XMLRPC Client 2013-05-17 22:00:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-07-03 17:16:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Christopher Meng 2013-07-03 23:46:06 EDT
I will push an update of it.

However please tell me if you still suffer from it?

Note You need to log in before you can comment on or make changes to this bug.